| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
DC2198A.ino File Reference

Linear Technology DC2198A Demonstration Board LTC2980: Power Management Solution for Application Processors. More...

## Detailed Description

Linear Technology DC2198A Demonstration Board LTC2980: Power Management Solution for Application Processors.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC2980

http://www.linear.com/demo/DC2198A

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC2198A.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_warning_prompt ()
| Prints a warning if the demo board is not detected. More...
static void | print_all_voltages ()
static void | print_all_status ()
| Prints all status bytes and words. More...
static void | sequence_off_on ()
| Sequence off then on. More...
static void | margin_high ()
| Margin high. More...
static void | margin_low ()
| Margin low. More...
static void | margin_off ()
| Go to nominal. More...
static void | menu_1_basic_commands ()
| Display menu 1. More...

## Macros
#define | LTC2980_I2C_ADDRESS_A 0x30
#define | LTC2980_I2C_ADDRESS_B 0x32

## Variables
static uint8_t | ltc2980_i2c_address_a
static uint8_t | ltc2980_i2c_address_b
static LT_SMBus * | smbus = new LT_SMBusNoPec()
static LT_PMBus * | pmbus = new LT_PMBus(smbus)

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Returns
  void

Definition at line 94 of file DC2198A.ino.

## ◆ margin_high()

static void margin_high | ( |  | ) |
| static

Margin high.

Returns
  void

Definition at line 261 of file DC2198A.ino.

## ◆ margin_low()

static void margin_low | ( |  | ) |
| static

Margin low.

Returns
  void

Definition at line 268 of file DC2198A.ino.

## ◆ margin_off()

static void margin_off | ( |  | ) |
| static

Go to nominal.

Returns
  void

Definition at line 275 of file DC2198A.ino.

## ◆ menu_1_basic_commands()

static void menu_1_basic_commands | ( |  | ) |
| static

Display menu 1.

Returns
  void

Definition at line 282 of file DC2198A.ino.

## ◆ print_all_status()

static void print_all_status | ( |  | ) |
| static

Prints all status bytes and words.

Returns
  void

Definition at line 215 of file DC2198A.ino.

## ◆ print_all_voltages()

static void print_all_voltages | ( |  | ) |
| static

Returns
  void

Definition at line 189 of file DC2198A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Returns
  void

Definition at line 170 of file DC2198A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Returns
  void

Definition at line 155 of file DC2198A.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Prints a warning if the demo board is not detected.

Returns
  void

Definition at line 182 of file DC2198A.ino.

## ◆ sequence_off_on()

static void sequence_off_on | ( |  | ) |
| static

Sequence off then on.

Returns
  void

Definition at line 252 of file DC2198A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 83 of file DC2198A.ino.

## Macro Definition Documentation

## ◆ LTC2980_I2C_ADDRESS_A

#define LTC2980_I2C_ADDRESS_A 0x30

Definition at line 71 of file DC2198A.ino.

## ◆ LTC2980_I2C_ADDRESS_B

#define LTC2980_I2C_ADDRESS_B 0x32

Definition at line 72 of file DC2198A.ino.

## Variable Documentation

## ◆ ltc2980_i2c_address_a

uint8_t ltc2980_i2c_address_a
| static

Definition at line 76 of file DC2198A.ino.

## ◆ ltc2980_i2c_address_b

uint8_t ltc2980_i2c_address_b
| static

Definition at line 77 of file DC2198A.ino.

## ◆ pmbus

LT_PMBus* pmbus = new LT_PMBus(smbus)
| static

Definition at line 79 of file DC2198A.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusNoPec()
| static

Definition at line 78 of file DC2198A.ino.